#include "stm32f4xx_hal.h"
#include "bioloid_dyn_slave.h"
#include "gpio.h"
#include "eeprom.h"
#include "bioloid_time.h"
#include "stm32_time.h"

int32_t main(void)
{
  HAL_Init();
  /* initialize the gpio */
  gpio_init();
  /* initialize the eeprom emmulation */
//  EE_Init();
  /* initialize the time module */
  bioloid_time_init();
  /* initialize the dynamixel slave interface */
  bioloid_dyn_slave_init();

  while(1)
  {
    dyn_slave_loop(&bioloid_dyn_slave);
  }
}

